Subject: Re: bug#67444: [PATCH] FAQ: Improve explanation of showing file name in titlebar

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Dec 2023 17:11:39 +0200

tags 67444 wontfix
close 67444

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 25 Dec 2023 06:36:39 -0800
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: Santiago Payà i Miralta <[email-masked]>
> >> From: Santiago Payà i Miralta <[email-masked]>
> >> Date: Sat, 25 Nov 2023 14:29:16 +0100
> >>
> >> * doc/misc/efaq.texi (Displaying the current file name in the
> >> titlebar): Add example code to show the real file name in the
> >> titlebar, not just the buffer name, with the additional dired buffer
> >> case, and the last default buffer name.
> >> ---
> >>  doc/misc/efaq.texi | 11 +++++++++++
> >>  1 file changed, 11 insertions(+)
> >>
> >> diff --git a/doc/misc/efaq.texi b/doc/misc/efaq.texi
> >> index 70f434d4b99..92622bd0527 100644
> >> --- a/doc/misc/efaq.texi
> >> +++ b/doc/misc/efaq.texi
> >> @@ -1960,6 +1960,17 @@ Displaying the current file name in the titlebar
> >>  (setq frame-title-format "%b")
> >>  @end lisp
> >>
> >> +To show the path to the file when the buffer is visiting some file, or
> >> +the directory path when in a dired buffer, or just the name of the
> >> +buffer:
> >> +
> >> +@lisp
> >> +(setq frame-title-format
> >> +      '(buffer-file-name (:eval (abbreviate-file-name buffer-file-name))
> >> +                         (dired-directory dired-directory
> >> +                                          "%b")))
> >> +@end lisp
> >> +
> >>  @node Turning on abbrevs by default
> >>  @section How do I turn on abbrevs by default just in mode @var{mymode}?
> >>  @cindex Abbrevs, turning on by default
> >
> > Thanks, but I don't want to recommend that users include :eval forms
> > in frame-title-format, as that could cause complications, and
> > generally slows down redisplay.
> 
> Is there some other way to achieve the above customization?

To clarify: the above customization _is_ supported, and will continue
to be supported.  I just don't think we should advertise it in the
manual.

> If not, perhaps this bug should simply be closed.  :-/

Done.